<template>
  <button
    :style="{ color: color, borderColor: color }"
    :class="{ 'button--rounded': rounded }"
    class="button"
    @click="handleClick"
    @dblclick="handleDblclick"><slot/></button>
</template>

<script>
export default {
  name: "Button",

  props: {
    color: {
      type: String,
      default: "#42b983"
    },

    rounded: {
      type: Boolean,
      default: true
    },

    handleClick: {
      type: Function,
      default: () => () => null
    },

    handleDblclick: {
      type: Function,
      default: () => () => null
    }
  }
};
</script>

<style lang="scss">
.button {
  border: 3px solid;
  padding: 10px 20px;
  background-color: white;
  outline: none;

  &--rounded {
    border-radius: 5px;
  }
}
</style>
